%define		module	cssutils
%define		encutils_ver 0.9.8
Summary:	A CSS Cascading Style Sheets library for Python
Summary(pl.UTF-8):	Biblioteka CSS (Cascading Style Sheets) dla Pythona
Name:		python-%{module}
Version:	0.9.9
Release:	3
Epoch:		1
License:	LGPL v3+
Group:		Libraries/Python
Source0:	http://cheeseshop.python.org/packages/source/c/cssutils/%{module}-%{version}.zip
# Source0-md5:	5f8ea824cc0e0518b574da20e895be08
URL:		http://cthedot.de/cssutils/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	unzip
%pyrequires_eq	python-modules
Provides:	python-encutils = %{encutils_ver}
Obsoletes:	python-encutils < %{encutils_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Python package to parse and build CSS Cascading Style Sheets. Partly
implements the DOM Level 2 Stylesheets and DOM Level 2 CSS interfaces.

%description -l pl.UTF-8
Pakiet Pythona do analizy i tworzenia CSS (Cascading Style Sheets).
Częściowo implementuje interfejsy DOM Level 2 Stylesheets oraz DOM
Level 2 CSS.

%prep
%setup -q -n %{module}-%{version}
eval $(PYTHONPATH=src python -c "from encutils import VERSION;print 'VERSION=%%s' %% VERSION")
if [ $VERSION != %{encutils_ver} ]; then
	echo "Please set encutils_ver to $VERSION"
	exit 1
fi

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
        --single-version-externally-managed \
	--optimize=2 \
	--root $RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%attr(755,root,root) %{_bindir}/csscapture
%attr(755,root,root) %{_bindir}/csscombine
%attr(755,root,root) %{_bindir}/cssparse
%dir %{py_sitescriptdir}/cssutils
%dir %{py_sitescriptdir}/cssutils/css
%dir %{py_sitescriptdir}/cssutils/scripts
%dir %{py_sitescriptdir}/cssutils/stylesheets
%dir %{py_sitescriptdir}/encutils
%attr(755,root,root) %{py_sitescriptdir}/cssutils/*.py[co]
%attr(755,root,root) %{py_sitescriptdir}/cssutils/css/*.py[co]
%attr(755,root,root) %{py_sitescriptdir}/cssutils/scripts/*.py[co]
%attr(755,root,root) %{py_sitescriptdir}/cssutils/stylesheets/*.py[co]
%attr(755,root,root) %{py_sitescriptdir}/encutils/*.py[co]
%{py_sitescriptdir}/*.egg-info
%changelog
* Fri Mar 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-cssutils.git;a=log;h=master

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 5abb534
- x32 rebuild
- release 3 (by relup.sh)

* Thu Jun 21 2012 Jan Rękorajski <baggins@pld-linux.org> 4b3a8c5
- rel 2

* Wed Jun 13 2012 Jacek Konieczny <jajcus@pld-linux.org> 11143dd
- encutils_ver: 0.9.8

* Sun Jun 10 2012 Paweł Gołaszewski <blues@pld-linux.org> 0b6d5cd
- 0.9.9

* Mon Jan 10 2011 lisu <lisu@pld-linux.org> 2c1855b
- final stable version is 0.9.7, move 0.9.8 to DEVEL
- epoch 1

* Mon Jan 03 2011 lisu <lisu@pld-linux.org> 3feca1f
- 0.9.8a1
- rpm-build-macros >= 1.219 required (for py_postclean macro)

* Tue Nov 23 2010 Jan Rękorajski <baggins@pld-linux.org> 29ecdca
- no tests installed in this version

* Tue Nov 23 2010 Jan Rękorajski <baggins@pld-linux.org> 12a5665
- 0.9.7b4

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 3dba6d9
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6dd3aea
- release 2

* Sun Oct 25 2009 Artur Frysiak <artur@frysiak.net> 4b82796
- updated to 0.9.6b5

* Sun Mar 22 2009 Artur Frysiak <artur@frysiak.net> 6d86ddd
- cssutils provides encutils
- fix license (LGPL v3+)
- release 2

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> e2bea7f
- up to 0.9.6a2
- more %files

* Fri Nov 21 2008 Karol Krenski <charles@pld-linux.org> 3524fd8
- BR: unzip

* Tue Oct 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0eefb73
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> dec3657
- release 2

* Sun Aug 31 2008 luzik <luzik@pld-linux.org> 722a045
- outdated

* Sun Aug 31 2008 luzik <luzik@pld-linux.org> ab760d3
- updated to 0.9.5.1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 839fb13
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fc31ca5
- converted to UTF-8

